
declare @guipadre as int
declare @uid as varchar(100) 
set @uid=(select uid from seg_usuario where id = 1)
select @guipadre = id_funcionalidad from gui_funcionalidad where ID IN (SELECT id_funcionalidad from rep_reporte where reporte_codigo = 'doc/ListadoDetalladoOts')
if not exists (select * from gui_funcionalidad where id_tipoFuncionalidad = 7 and active = 1 and funcionalidad= 'Reporte Gastos' and id_funcionalidad = @guipadre)
begin
INSERT INTO [dbo].[gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@uid
           ,'01'
           ,1
           ,1
           ,GETDATE()
           ,GETDATE()
           ,1
           ,'Reporte Gastos'
           ,''
           ,''
           ,''
           ,''
           ,''
           ,''
           ,0
           ,''
           ,''
           ,0
           ,@guipadre
           ,7)
end

declare @idfuncional as int
set @idfuncional =(select id from gui_funcionalidad where id_tipoFuncionalidad = 7 and active = 1 and funcionalidad= 'Reporte Gastos' and id_funcionalidad = @guipadre)

--inserta reporte
if not exists (select id from rep_reporte where id_funcionalidad=@idfuncional and  reporte_codigo = 'doc/ConsultaGasto')

insert into rep_reporte ([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[reporte],[reporte_codigo],[id_funcionalidad],[esFormato],[tieneGraficos],[cabecera]) values (@uid,'01',0,0,getdate(),getdate(),1,'Gastos por Tecnico','doc/ConsultaGasto',@idfuncional,0,0,'')
begin

DECLARE
@p_idpadre AS INT,
@id_categoria AS INT 
select @p_idpadre=id from rep_reporte where id_funcionalidad=@idfuncional and  reporte_codigo = 'doc/ConsultaGasto'
end

--inserta origendato
if not exists (select * from rep_origenDato where id_reporte=@p_idpadre and origenDato = 'rep_ConsultaGasto' )
begin 
insert into rep_origendato ([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[origendato],[origendato_codigo],[id_reporte],[duracion]) values (@uid,'01',0,0,getdate(),getdate(),1,'rep_ConsultaGasto','',@p_idpadre,0)
end
if not exists (select * from rep_origenDato where id_reporte=@p_idpadre and origenDato = 'rep_ConsultaGasto2' )
begin
insert into rep_origendato ([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[origendato],[origendato_codigo],[id_reporte],[duracion]) values (@uid,'01',0,0,getdate(),getdate(),1,'rep_ConsultaGasto2','',@p_idpadre,0)
end

--inserta camporeporte
if not exists (select * from rep_campoReporte where id_reporte= @p_idpadre and tabla ='ort_programacion')
begin
insert into rep_campoReporte  (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo)  Values  (@uid,'01','desde_fh',@p_idpadre,3,'ort_programacion','',1,0,'-30')
end
if not exists (select * from rep_campoReporte where id_reporte= @p_idpadre and tabla ='seg_usuario')
begin
insert into rep_campoReporte  (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo)  Values (@uid,'01','nombre',@p_idpadre,4,'seg_usuario','',1,0,'')
end
if not exists (select * from rep_campoReporte where id_reporte= @p_idpadre and tabla ='ter_tercero')
begin
insert into rep_campoReporte  (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo)  Values (@uid,'01','tercero',@p_idpadre,4,'ter_tercero','',1,0,'')
end

--inserta reporte_categoria
declare @categoria as int
set @categoria =  (select id_categoria from rep_reporte_categoria where id_reporte in (select id from rep_reporte where reporte_codigo='doc/ListadoDetalladoOTs'))
if not exists (select * from rep_reporte_categoria where id_reporte = @p_idpadre and id_categoria = @categoria)
begin
insert into rep_reporte_categoria (uid ,eid ,reporte_categoria,id_reporte,id_categoria)  values (@uid,'01','Tecnicos',@p_idpadre,@categoria)
end


--inserta opcionreporte
if not exists (select * from rep_opcionReporte where id_reporte = @p_idpadre and opcionReporte='Sección de Firmas')
begin
insert into rep_opcionreporte (uid ,eid ,opcionreporte,opcionreporte_codigo,id_reporte,defecto)  values (@uid,'01','Sección de Firmas','SF',@p_idpadre,1)
end


